低危 linux kernel 拒绝服务漏洞

CVE编号

CVE-2019-3896

利用情况

暂无

补丁情况

官方补丁

披露时间

2019-06-19
漏洞描述
在 Linux kernel 2.6 branch的lib / idr.c中的idr_remove_all()中可能发生double-free。无特权的本地攻击者可以利用此漏洞进行权限提升或系统崩溃和拒绝服务(DoS)。

解决建议
目前厂商已发布升级补丁以修复漏洞,详情请关注厂商主页:
https://www.kernel.org/
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
系统 centos_6 kernel * Up to
(excluding)
2.6.32-754.15.3.el6
运行在以下环境
系统 linux linux_kernel * From
(including)
2.6.0
Up to
(including)
2.6.39.4
运行在以下环境
系统 oracle linux_6 kernel * Up to
(excluding)
2.6.32-754.15.3.el6
运行在以下环境
系统 oracle_6 kernel * Up to
(excluding)
2.6.32-754.15.3.el6
运行在以下环境
系统 redhat enterprise_linux_desktop 6.0 -
运行在以下环境
系统 redhat enterprise_linux_server 6.0 -
运行在以下环境
系统 redhat enterprise_linux_server_aus 6.5 -
运行在以下环境
系统 redhat enterprise_linux_server_aus 6.6 -
运行在以下环境
系统 redhat enterprise_linux_workstation 6.0 -
运行在以下环境
系统 redhat_6 kernel * Up to
(excluding)
0:2.6.32-754.15.3.el6
运行在以下环境
系统 sles_11 kernel-bigmem * Up to
(excluding)
3.0.101-108.98
运行在以下环境
系统 suse_11 kernel-bigmem * Up to
(excluding)
3.0.101-108.98
运行在以下环境
系统 ubuntu_16.04.7_lts linux * Up to
(excluding)
4.2.0-16.19
运行在以下环境
系统 ubuntu_16.04_lts linux * Up to
(excluding)
4.2.0-16.19
运行在以下环境
系统 ubuntu_18.04 linux * Up to
(excluding)
4.13.0-16.19
运行在以下环境
系统 ubuntu_18.04.5_lts linux * Up to
(excluding)
4.13.0-16.19
运行在以下环境
系统 ubuntu_18.04_lts linux * Up to
(excluding)
4.13.0-16.19
运行在以下环境
系统 ubuntu_18.10 linux * Up to
(excluding)
4.15.0-20.21
阿里云评分
2.6
  • 攻击路径
    本地
  • 攻击复杂度
    复杂
  • 权限要求
    普通权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-415 双重释放
阿里云安全产品覆盖情况